*TITLE CAP3: sectoral MTPI

*Part A

 option solprint=on, decimals=3;
 option limrow=1000;
 option limcol=1000;
 option nlp=conopt;
$ OFFUPPER
$ OFFDIGIT

SCALAR
 pd Price of domestic goods /1/;

SETS

K  obs   /1*187544/
s sector /1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42/


corr(s,K) matching_of_observations_nb_and_chapter_code
/1        .(        1        *        64        )
2        .(        65        *        106        )
3        .(        107        *        289        )
4        .(        290        *        3711        )
5        .(        3712        *        4073        )
6        .(        4074        *        4144        )
7        .(        4145        *        4249        )
8        .(        4250        *        6817        )
9        .(        6818        *        6852        )
10        .(        6853        *        7605        )
11        .(        7606        *        7612        )
12        .(        7613        *        7679        )
13        .(        7680        *        8495        )
14        .(        8496        *        9574        )
15        .(        9575        *        9684        )
16        .(        9685        *        9715        )
17        .(        9716        *        9735        )
18        .(        9736        *        11686        )
19        .(        11687        *        11903        )
20        .(        11904        *        12282        )
21        .(        12283        *        13185        )
22        .(        13186        *        13469        )
23        .(        13470        *        13549        )
24        .(        13550        *        13776        )
25        .(        13777        *        22388        )
26        .(        22389        *        23819        )
27        .(        23820        *        44205        )
28        .(        44206        *        61691        )
29        .(        61692        *        65298        )
30        .(        65299        *        69718        )
31        .(        69719        *        73855        )
32        .(        73856        *        74181        )
33        .(        74182        *        98186        )
34        .(        98187        *        105113        )
35        .(        105114        *        109541        )
36        .(        109542        *        113363        )
37        .(        113364        *        124370        )
38        .(        124371        *        127490        )
39        .(        127491        *        130151        )
40        .(        130152        *        136499        )
41        .(        136500        *        177738        )
42        .(        177739        *        187544        ) / ;


*Part B

parameter rave(k)/
$include D:\Cap3\rave.inc
/;
parameter rtmax(k)/
$include D:\Cap3\rtmax.inc
/;
parameter trade(k)/
$include D:\Cap3\trade.inc
/;

PARAMETER elas(s)
/1       10.1
2        8.9
3        2.6
4        3.7
5        4.9
6        5.4
7        5
8        6.5
9        4
10        2.6
11        7.3
12        12.9
13        5
14        2.5
15        6.1
16        10.4
17        34.4
18        1.8
19        7.7
20        8.8
21        6.6
22        7.3
23        5.2
24        5.4
25        4
26        2.3
27        7.5
28        7.4
29        8.1
30        6.8
31        5.9
32        4.2
33        6.6
34        5.8
35        5.9
36        8.4
37        7.5
38        5.6
39        8.6
40        8.8
41        8.1
42        7.5/;

PARAMETER domimprat(s)
*       Ratio domestic/import = VDM/VIM
/1       1.140693624
2        2.943565238
3        2.821018919
4        0.798789642
5        1.406264681
6        192.3254593
7        0.742806088
8        3.271041288
9        7.815178741
10        6.25527406
11        564.2245345
12        0.020988561
13        5.717940814
14        1.939789017
15        1.319181662
16        0.13487509
17        0.110316436
18        0.9957642
19        2.490951683
20        3.561574445
21        0.822549039
22        7.105537359
23        0.860332328
24        1.778102381
25        3.540774273
26        6.07320182
27        1.121596995
28        1.246108691
29        1.123322601
30        1.676589948
31        4.497738273
32        4.032894903
33        0.908315814
34        4.571270934
35        1.252887543
36        0.712526515
37        4.584093688
38        0.908881187
39        1.377911506
40        0.404788673
41        1.393053276
42        2.794938762/;

 PARAMETERS
  pwld(k)   World price of each good
  dimp(s)   Total imports by groups at domestic prices (equal to quantities)
  wimp(s)   Total imports by groups at world prices
  totexp(s) Total expenditure in each group (equals base utility)
  BETAd(s)  Domestic value share (base period)
  BETA(k,s) Import value shares at domestic prices (base period)
  domest(s) Consumption of domestic good by group;
  pwld(k) = 1/(1+rave(k));



*Part C
*--------------------------
*MTPI RATE MODEL by sectors
*--------------------------
POSITIVE VARIABLES

  pi1rr(s)          Inverse of price index
  wmtri1(s)         Imports in period
  MTRIsurc (s)       Uniform tariff preference equivalent (by sector)  ;



FREE VARIABLES
  ZMTRIsurc          Objective function ;

LOOP(s,
 dimp(s) = sum(k$corr(s,k),trade(k)*(1+rave(k)));
 wimp(s) = sum(k$corr(s,k),trade(k));
 domest(s)= dimp(s)*domimprat(s);
 totexp(s)  = dimp(s) + domest(s);
 BETAd(s)  = domest(s)/totexp(s)$(totexp(s) gt 0);
 BETA(k,s)= ((trade(k)*(1+rave(k)))/totexp(s))$corr(s,k);

 );

EQUATIONS
  WIMP1mtri(s)            Imports at world price
  PIND1rr(s)            Inverse price index
  REV1rr(s)       Equality between  import expenditures at world prices
  ZEROrr(s)        Sets MTRIsurc equal to zero if there is no imports or tariffs
  OBJECTrr;


 PIND1rr(s)..      pi1rr(s) =E= 1/(
                                  BETAd(s)*pd**(1-elas(s)) +
                                  sum(k$corr(s,k),BETA(k,s)
                                  *(pwld(k)*(1+rtmax(k)*MTRIsurc(s)))
                                  **(1-elas(s))))$(dimp(s) gt 0)    ;

 WIMP1mtri(s)..   wmtri1(s) =E= (totexp(s)*
                                 sum(k$corr(s,k),BETA(k,s)*pwld(k)*
                                      pi1rr(s)*(pwld(k)*(1+rtmax(k)*MTRIsurc(s))
                                )**(-elas(s))))$(dimp(s) gt 0);

 ZEROrr(s)..     MTRIsurc(s)$(dimp(s) eq 0) =E= 0;
 REV1rr(s)..      wmtri1(s)  =E= wimp(s);
 OBJECTrr..         ZMTRIsurc =E=  sum(s,MTRIsurc(s));



 MODEL MTRIrMOD /WIMP1mtri, PIND1rr, REV1rr, ZEROrr, OBJECTrr /;


 SOLVE MTRIrMOD USING NLP MINIMIZING ZMTRIsurc;
 DISPLAY MTRIsurc.L ;

* Part D
*--------------------------------------------
*CALCULATION OF CONVENTIONAL WEIGHTED AVERAGE
*--------------------------------------------

PARAMETERS
 wavrate(s)       Normal weigthed average rate(world prices)
 wavduty(s)       Normal weigthed average duty (world prices)
 wave(s)          Normal weigthed average base rates (world prices)
 weight(k)      weights ;

LOOP(s,
  weight(k)=(trade(k)/wimp(s)) $(dimp(s) gt 0)  ;
  wavrate(s)  = (sum(k$corr(s,k),weight(k)*rave(k)));
  wavduty(s)  = (sum(k$corr(s,k),weight(k)*rtmax(k)));
   wave(s)= wavrate(s)/wavduty(s);
 );

DISPLAY  wave;
*------------------------------------------------

*End of the program.
