set mem 800m
use "cloves Chap7.dta"
*use "crustaceans Chap7.dta"

***describe variable
d

*******************Table 3

***************Negative Binomial Estimation
tsset idcoppia_comm year
xi: xtnbreg imp prefmfnGSP_DC prefmfnACP_DC prefmfnRTA prefmfnEBA_pre prefmfnEBA_post prefmfnACP_EBA_pre prefmfnACP_EBA_post lnpop_p lnpop_r lngdp_pop_p lngdp_pop_r mtr_r mtr_p trend,fe 

******endogeneity test 
tsset idcoppia_comm year
xi: xtivreg lnimp  lnpop_p lnpop_r lngdp_pop_p lngdp_pop_r  (prefmfn = lnaid) mtr_r mtr_p trend , fe  
dmexogxt 

****Figures
sort year
by year : egen simp_eba=sum(imp) if d_eba==1
by year : egen simp_tot=sum(imp) 
gen shimp=simp_eba/simp_tot if d_eba==1

sort year
*Figure 1
twoway (line simp_eba year,  ytitle("Total Imports", axis(1))) 
*Figure 2
twoway (line shimp year,  ytitle("Share of Imports", axis(1))) 
*Figures 3-7
twoway (line mtva_GSP year, sort clpattern("dash_dot") clcolor(black) clwidth(medthick) legend(label(1 "GSP"))) (line mtva_ACP year, sort clpattern("shortdash") clcolor(black)clwidth(medthick)legend(label(2 "ACP"))) (line mtva_RTA year, sort clpattern("_.....") clcolor(black)clwidth(medthick)legend(label(3 "RTA"))) (line mtva_EBA year, sort clpattern(solid)clcolor(black)clwidth(medthick) legend(label(4 "EBA")))

