set mem 800m
use "orange Chap8", clear

***Descriptive statistics 
sum imp_r tax_GSP if d_gsp==1
sum imp_r tax_EBA if d_eba==1
sum imp_r tax_DRUGS if d_drugs==1
sum imp_r tax_ACP if d_acp==1
sum imp_r tax_RTA if d_euromed==1
sum imp_r tax_RTA if d_rta==1&d_euromed==0
sum imp_r tax_MFN 
***

*********************
***Probit Estimation WITH cluster 
gen selected=(lnimp_net!=.)
xi: probit selected  prefmfnGSPagg prefmfnACP prefmfnRTA prefmfnGSP_ACP prefmfnGSP_RTA d_ep lnprodm_p lnprodm_r lnpopm_p lnpopm_r lngdp_popm_p lngdp_popm_r lnexp_capm mtr_p mtr_r trend i.month, robust cluster(idcoppia_comm) 


******POISSON model 
tsset idcoppia_comm period
xi: xtpoisson imp_net prefmfnGSPagg  prefmfnACP prefmfnRTA prefmfnGSP_ACP prefmfnGSP_RTA  d_ep lnprodm_p lnprodm_r lnpopm_p lnpopm_r  lngdp_popm_p lngdp_popm_r lnexp_capm mtr_p mtr_r i.month t, fe 


****endogeneity test 
tsset idcoppia_comm period
xi: xtivreg lnimp_net lnprodm_p lnprodm_r lnpopm_p lnpopm_r lngdp_popm_p lngdp_popm_r lnexp_capm (prefmfnGSPagg prefmfnACP prefmfnRTA = polity2 lnk_l_rel lnaid ) d_ep  mtr_p mtr_r trend i.month, fe
dmexogxt


***** Figures C1-C3
gen prefmfnGSP2=((tax_MFN-tax_GSP)/tax_MFN)*100 if d_gsp==1
replace prefmfnGSP2=((tax_MFN-tax_DRUGS)/tax_MFN)*100 if d_drugs==1
replace prefmfnGSP2=((tax_MFN-tax_EBA)/tax_MFN)*100 if d_eba==1
gen prefmfnACP2=((tax_MFN-tax_ACP)/tax_MFN)*100 if d_acp==1
gen prefmfnRTA2=((tax_MFN-tax_RTA)/tax_MFN)*100 if d_euromed==1
replace prefmfnRTA2=((tax_MFN-tax_RTA)/tax_MFN)*100 if d_rta==1

replace prefmfnGSP2=0 if prefmfnGSP2==.
replace prefmfnACP2=0 if prefmfnACP2==.
replace prefmfnRTA2=0 if prefmfnRTA2==.

sort year 
by year : egen mprefmfnGSP=mean(prefmfnGSP2) if d_gsp==1
by year : egen mprefmfnACP=mean(prefmfnACP2) if d_acp==1
by year : egen mprefmfnRTA=mean(prefmfnRTA2) if d_rta==1


egen sumimp_gsp=sum(imp_net) if d_gsp==1
sort year 
by year : egen sumimp_gsp_t=sum(imp_net) if d_gsp==1
gen shareimp_gsp=(sumimp_gsp_t/sumimp_gsp)*100

egen sumimp_acp=sum(imp_net) if d_acp==1
sort year 
by year : egen sumimp_acp_t=sum(imp_net) if d_acp==1
gen shareimp_acp=(sumimp_acp_t/sumimp_acp)*100

egen sumimp_rta=sum(imp_net) if d_rta==1
sort year 
by year : egen sumimp_rta_t=sum(imp_net) if d_rta==1
gen shareimp_rta=(sumimp_rta_t/sumimp_rta)*100
 
sort year
twoway (line shareimp_gsp year if d_gsp==1, clcolor(gs1) ylab(0 20 40 60 80 100 ,grid) ytitle(" ") xtitle("years") xlabel(2001 2002 2003 2004,grid) title("GSP") legend(label(1 "Share of Imports"))) (line mprefmfnGSP year if d_gsp==1, clcolor(black) clpattern(dash_dot)  xtitle("years") legend(label(2 "Pref. margins"))), saving(gsp)
twoway (line shareimp_acp year if d_acp==1, clcolor(gs1) ylab(0 20 40 60 80 100 ,grid) ytitle(" ") xtitle("years") xlabel(2001 2002 2003 2004,grid) title("ACP") legend(label(1 "Share of Imports"))) (line mprefmfnACP year if d_acp==1, clcolor(black) clpattern(dash_dot)  xtitle("years") legend(label(2 "Pref. margins"))),  saving(acp)
twoway (line shareimp_rta year if d_rta==1, clcolor(gs1) ylab(0 20 40 60 80 100 ,grid) ytitle(" ") xtitle("years") xlabel(2001 2002 2003 2004,grid) title("RTA") legend(label(1 "Share of Imports"))) (line mprefmfnRTA year if d_rta==1, clcolor(black) clpattern(dash_dot)  xtitle("years") legend(label(2 "Pref. margins"))), saving(rta)

gr combine gsp.gph acp.gph rta.gph

erase gsp.gph
erase acp.gph 
erase rta.gph



***Table in Appendix B

sort part
by part: egen sumimp_a=sum(imp_net)
duplicates drop part, force
sort sumimp_a
clist part sumimp_a if sumimp_a>0
