clear

log using CAP9.log
use CAP9Dataset.dta

***A. Variable Dummy Generation.

tab partner, gen(dpart)
tab year, gen(dy)
tab prod6y, gen(dpr6y)

tostring year, gen(year2)
gen party= partner+ year2
encode party, gen(party2)
xtset party2

***B. Regression Specification.

***COUNTRY GROUP - ACP-OCT***
 
xtprobit heckit lmargBBN  dpart* dy* dpr6y* if Npref3==0 & Npref4==0, re

predict zg if e(sample), xb
g phi=normalden(zg)
g PHI=normal(zg)
g lambdaBBNACP=phi/PHI

xtset party2
eststo: xtreg lnx lmargBBN lambdaBBNACP   dpr6y* dy* if Npref3==0 & Npref4==0 , fe robust

drop zg phi PHI


***COUNTRY GROUP- EBA***
xtprobit heckit lmargBBN  dpart* dy* dpr6y* if Npref1==0 & Npref4==0, re

predict zg if e(sample), xb
g phi=normalden(zg)
g PHI=normal(zg)
g lambdaBBNEBA=phi/PHI

xtset party2
eststo: xtreg lnx lmargBBN lambdaBBNEBA   dpr6y* dy* if Npref1==0 & Npref4==0 , fe robust

drop zg phi PHI


***COUNTRY GROUP - EGYPT***
xtprobit heckit lmargBBN  dpart* dy* dpr6y* if Npref1==0 & Npref3==0, re

predict zg if e(sample), xb
g phi=normalden(zg)
g PHI=normal(zg)
g lambdaBBNEGYPT=phi/PHI

xtset party2
eststo: xtreg lnx lmargBBN lambdaBBNEGYPT   dpr6y* dy* if Npref1==0 & Npref3==0 , fe robust

drop zg phi PHI


***C. Display formatted regression table.

esttab using CAP10_tab5.csv, cells(b(star fmt(2) label(Coef.)) se(par fmt(2) label( std.errors)))  starlevels( * 0.10 ** 0.05 *** 0.010) stats(N r2 , labels ("No. of bs." "R-Sq") fmt(2))


